# Delete a data connector

Delete an existing data connector. The connector must be in `draft` state and must not be in use by any workflows or AI agents.
OAuth tokens must have the `read_write_data_connectors` scope.

Endpoint: DELETE /data_connectors/{id}
Version: 2.18
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    The unique identifier of the data connector

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the data connector.
    Example: 125

  - `object` (string)
    The type of object which was deleted.
    Enum: "data_connector"

  - `deleted` (boolean)
    Whether the data connector was deleted successfully.
    Example: true

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 409 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

